---
jumphost:
  server: rebond.opnfv.fr
  user: !vault |
    $ANSIBLE_VAULT;1.1;AES256
    3434613036643437336466623463383762363761656564383535373037353066363563666634
    33633330623732333364666266316630363162333532663666380a3030386264383034643239
    3837626339336334313034623561396365626635656565353061666437393330633464333130
    3035366639373863643130346133620a32646230636637656338623835306330663036636235
    66623232333464643766
environment: orange_pod4/k8s_istanbul
scenario_steps:
  config:
    project: config
    get_artifacts:
      - name: orange_vim_pod4
        static_src: true
    infra: k8s18-net3-storage
    ssh_access: orange.eyml
  infra_deploy:
    project: os_infra_manager
    get_artifacts: config
    extra_parameters:
      ADMIN: true
      CLEAN: true
      TENANT_NAME: onap-istanbul-weekly
      USER_NAME: onap-istanbul-weekly-ci
      IDENTIFIER: -onap-istanbul
      USE_PRIVATE_IP: True
      ADD_FLOATING_IP: True
      DNS_NAME: "{{ lookup('env','DNS_NAME')|default('istanbul-weekly', true) }}"
  k8s_deploy:
    get_artifacts: infra_deploy
    project: kubespray
    branch: helm_3
    ssh_access: orange.eyml
    extra_parameters:
      kubespray_version: release-2.15
      helm_release: v3.5.3
      kube_network_plugin: cilium
      kubernetes_release: v1.19.9
      ENABLE_MONITORING: true
      DOCKER_HUB_PROXY: docker.nexus.azure.onap.eu
      GCR_PROXY: docker.nexus.azure.onap.eu
      K8S_GCR_PROXY: docker.nexus.azure.onap.eu
      QUAY_PROXY: docker.nexus.azure.onap.eu
  trigger:
    project: trigger
  k8s_test:
    project: functest_k8s
    get_artifacts:
      - name: infra_deploy
        limit_to:
          - inventory/infra: inventory/infra
      - name: config
        limit_to:
          - vars/pdf.yml: vars/pdf.yml
          - vars/ssh_gateways.yml: vars/ssh_gateways.yml
          - vars/vaulted_ssh_credentials.yml: vars/vaulted_ssh_credentials.yml
      - name: k8s_deploy
        limit_to:
          - vars/kube-config: vars/kube-config
    extra_parameters:
      DEPLOYMENT: kubespray
      TEST_RESULT_DB_URL: http://testresults.opnfv.org/test/api/v1/results

